Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
System updating issues?
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
dylanmc
n00b
n00b


Joined: 18 Apr 2014
Posts: 74
Location: Modena, Italy

PostPosted: Sun Nov 19, 2017 7:02 pm    Post subject: Reply with quote

I've updated kde-apps-meta, but I still have issues

Code:

snoopx wine-patched-staging-2.20 # emerge -quDNv @world
[ebuild     U ] sys-libs/glibc-2.25-r9 [2.25-r8] USE="(multilib) rpc -audit -caps -debug -gd (-hardened) -nscd -profile (-selinux) -suid -systemtap (-vanilla)"
[ebuild     U ] app-text/libexttextcat-3.4.5 [3.4.4] USE="-static-libs"
[ebuild     UD] dev-util/boost-build-1.62.0-r1 [1.63.0] USE="-examples -python {-test}" PYTHON_TARGETS="python2_7"
[ebuild     U ] dev-util/cppunit-1.14.0 [1.13.2-r2] USE="-doc -examples -static-libs" ABI_X86="32 (64) (-x32)"
[ebuild     U ] dev-libs/boost-1.63.0 [1.62.0-r1] USE="nls threads -context -debug -doc -icu -mpi -python -static-libs -tools" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7 python3_4 -python3_5 (-python3_6)"
[ebuild     U ] dev-libs/libixion-0.12.2 [0.11.1] USE="threads%* -debug% -python -static-libs" PYTHON_SINGLE_TARGET="python3_4 -python3_5 (-python3_6)" PYTHON_TARGETS="python3_4 -python3_5 (-python3_6)"
[ebuild     U ] dev-libs/liborcus-0.12.1 [0.11.2] USE="spreadsheet-model -python -static-libs -tools" PYTHON_SINGLE_TARGET="python3_4 -python3_5 (-python3_6)" PYTHON_TARGETS="python3_4 -python3_5 (-python3_6)"
[ebuild     U ] app-office/libreoffice-l10n-5.4.2.2 [5.2.7.2] USE="-offlinehelp" L10N="it -af -am -ar -as -ast -be -bg -bn -bn-IN -bo -br -brx -bs -ca -ca-valencia -cs -cy -da -de -dgo -dz -el -en -en-GB -en-ZA -eo -es -et -eu -fa -fi -fr -ga -gd -gl -gu -gug -he -hi -hr -hu -id -is -ja -ka -kk -km -kmr-Latn -kn -ko -kok -ks -lb -lo -lt -lv -mai -mk -ml -mn -mni -mr -my -nb -ne -nl -nn -nr -nso -oc -om -or -pa -pl -pt -pt-BR -ro -ru -rw -sa -sat -sd -si -sid -sk -sl -sq -sr -sr-Latn -ss -st -sv -sw-TZ -ta -te -tg -th -tn -tr -ts -tt -ug -uk -uz -ve -vi -xh -zh-CN -zh-TW -zu"
[ebuild   R   ] dev-qt/qtsql-4.8.7-r1  USE="exceptions qt3support sqlite (-aqua) -debug -freetds -mysql* -oci8 -odbc -pch -postgres" ABI_X86="32 (64) (-x32)"
[ebuild  NS   ] dev-java/icedtea-bin-3.6.0 [7.2.6.11] USE="alsa cups gtk webstart (-big-endian) -doc -examples -headless-awt -multilib -nsplugin -pulseaudio (-selinux) -source" ABI_X86="32 (64) (-x32)"
[ebuild     U ] app-emulation/libvirt-3.8.0-r1 [3.6.0] USE="caps dbus libvirtd macvtap nls (policykit) qemu udev vepa virt-network (-apparmor) -audit -firewalld -fuse -glusterfs -iscsi -libssh -lvm -lxc -nfs -numa (-openvz) -parted -pcap -phyp -rbd -sasl (-selinux) -uml -virtualbox -wireshark-plugins -xen -zeroconf (-zfs)"
[ebuild     U ] dev-python/libvirt-python-3.8.0 [3.6.0] USE="-examples {-test}" PYTHON_TARGETS="python2_7 python3_4 -python3_5"
[ebuild     U ] sys-apps/openrc-0.34.8 [0.32.1] USE="ncurses netifrc pam unicode -audit -debug -newnet (-prefix) (-selinux) -static-libs"
[ebuild     U ] kde-frameworks/kdelibs-4.14.37 [4.14.34] USE="acl bzip2 handbook nls opengl plasma%* (policykit) qt3support%* spell ssl udev udisks upower (-altivec) -debug -doc (-fam) -jpeg2k -kerberos -libressl -lzma -openexr {-test} -zeroconf (-aqua%) (-crypt%*) (-webkit%*)" CPU_FLAGS_X86="mmx sse sse2 -3dnow"
[ebuild     U ] app-office/libreoffice-bin-5.4.2.2 [5.2.7.2-r1] USE="kde -gnome -java (-aqua%)" PYTHON_SINGLE_TARGET="python3_4 -python2_7 -python3_5 (-python3_6)" PYTHON_TARGETS="python2_7 python3_4 -python3_5 (-python3_6)"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/boost:0

  (dev-libs/boost-1.63.0:0/1.63.0::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/boost:0/1.63.0 required by (app-office/libreoffice-bin-5.4.2.2:0/0::gentoo, ebuild scheduled for merge)
                  ^^^^^^^^^                                                                                                                             

  (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed) pulled in by
    dev-libs/boost:0/1.62.0= required by (dev-cpp/libcmis-0.5.2_pre20160820-r1:0.5/0.5::gentoo, installed)
                  ^^^^^^^^^^                                                                                                                 
    (and 1 more with the same problem)

dev-util/boost-build:0

  (dev-util/boost-build-1.63.0:0/0::gentoo, installed) pulled in by
    =dev-util/boost-build-1.63* required by (dev-libs/boost-1.63.0:0/1.63.0::gentoo, ebuild scheduled for merge)
    ^                     ^^^^^                                                                                                                                       

  (dev-util/boost-build-1.62.0-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    =dev-util/boost-build-1.62* required by (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed)
    ^                     ^^^^^                                                                                                                         

app-emulation/libvirt:0

  (app-emulation/libvirt-3.8.0-r1:0/3.8.0::gentoo, ebuild scheduled for merge) pulled in by
    app-emulation/libvirt:0/3.8.0 required by (dev-python/libvirt-python-3.8.0:0/0::gentoo, ebuild scheduled for merge)
                         ^^^^^^^^                                                                                                                         

  (app-emulation/libvirt-3.6.0:0/3.6.0::gentoo, installed) pulled in by
    >=app-emulation/libvirt-1.2.6:0/3.6.0= required by (app-emulation/libvirt-glib-1.0.0-r1:0/0::gentoo, installed)
                                 ^^^^^^^^^                                                                                                             

kde-frameworks/kdelibs:4

  (kde-frameworks/kdelibs-4.14.37:4/4.14::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-frameworks/kdelibs-4.14.37:4 required by (app-office/libreoffice-bin-5.4.2.2:0/0::gentoo, ebuild scheduled for merge)
    ^^                       ^^^^^^^^^                                                                                                                                                                   

  (kde-frameworks/kdelibs-4.14.34:4/4.14::gentoo, installed) pulled in by
    >=kde-frameworks/kdelibs-4.14.22:4[-aqua] required by (kde-apps/kmimetypefinder-16.04.3:4/16.04::gentoo, installed)
                                       ^^^^^                                                                                                               
    >=kde-frameworks/kdelibs-4.14.22:4[-aqua] required by (kde-apps/kdontchangethehostname-16.04.3:4/16.04::gentoo, installed)
                                       ^^^^^                                                                                                                     

NOTE: Use the '--verbose-conflicts' option to display parents omitted above


!!! The following installed packages are masked:
- dev-qt/qtwebkit-4.8.7::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Andreas Sturmlechner <asturm@gentoo.org> (16 Nov 2017)
# Qt4WebKit is ancient and full of security holes.
# Masked for removal in 30 days. Bug #620684

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 5575
Location: Austria

PostPosted: Sun Nov 19, 2017 7:17 pm    Post subject: Reply with quote

These are versions of no longer in tree packages:

kde-apps/kmimetypefinder-16.04.3
kde-apps/kdontchangethehostname-16.04.3

Please just get rid of them. How often do you --depclean?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
dylanmc
n00b
n00b


Joined: 18 Apr 2014
Posts: 74
Location: Modena, Italy

PostPosted: Tue Nov 21, 2017 11:34 pm    Post subject: Reply with quote

Not too often :(

Thank for the tip (and thanks to rembember me to do that) :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum